libzypp 17.37.10

curlauthdata.h File Reference
`#include <zypp-media/auth/AuthData>`

Go to the source code of this file.

## Classes
class | zypp::media::CurlAuthData
| Curl HTTP authentication data. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Typedefs
using | zypp::media::CurlAuthData_Ptr = shared_ptr<CurlAuthData>

## Functions
std::ostream & | zypp::media::operator<< (std::ostream &str, const CurlAuthData &auth_data)